# ProjectionPicker

#### new Cesium.ProjectionPicker(container, scene)
Widgets/ProjectionPicker/ProjectionPicker.js 32

The ProjectionPicker is a single button widget for switching between perspective and orthographic projections.

Name | Type | Description
--- | --- | ---
`container` | Element | String | The DOM element or ID that will contain the widget.
`scene` | Scene | The Scene instance to use.

##### Throws:

- DeveloperError : Element with id "container" does not exist in the document.

##### Example:

    // In HTML head, include a link to the ProjectionPicker.css stylesheet,
    // and in the body, include: <div id="projectionPickerContainer"></div>
    // Note: This code assumes you already have a Scene instance.

    var projectionPicker = new Cesium.ProjectionPicker('projectionPickerContainer', scene);

### Members

#### container : Element
Widgets/ProjectionPicker/ProjectionPicker.js 128

Gets the parent container.

#### viewModel : ProjectionPickerViewModel
Widgets/ProjectionPicker/ProjectionPicker.js 140

Gets the view model.

### Methods

#### destroy()
Widgets/ProjectionPicker/ProjectionPicker.js 158

Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → Boolean
Widgets/ProjectionPicker/ProjectionPicker.js 150

##### Returns:

true if the object has been destroyed, false otherwise.